{% block sw_product_stream_grid_preview_search_field_label %}
<div v-if="total" class="sw-product-stream-grid-preview__toolbar">
    {% block sw_product_stream_grid_preview_search_field %}
        <sw-simple-search-field
            v-model:value="searchTerm"
            size="small"
            variant="form"
            :delay="750"
            :disabled="!filters"
            class="sw-product-stream-grid-preview__search-field"
        />
    {% endblock %}
</div>
{% endblock %}

{% block sw_product_stream_grid_preview_grid_column_name %}
<router-link
    v-if="column.routerLink"
    :to="{ name: column.routerLink, params: { id: item.id } }"
>
    <sw-product-variant-info
        :variations="item.variation"
        :media="item.cover ? item.cover.media : null"
    >
        {{ item.name || item.translated.name }}
    </sw-product-variant-info>
</router-link>
<sw-product-variant-info
    v-else
    :variations="item.variation"
>
    {{ item.name || item.translated.name }}
</sw-product-variant-info>
{% endblock %}